Loading...
Searching...
No Matches
ForceFields::MMFF::MMFFAromCollection Class Reference

`#include <Params.h>`

## Public Member Functions

bool | isMMFFAromatic (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them.
| MMFFAromCollection (const std::vector< std::uint8_t > *mmffArom=nullptr)

## Public Attributes

std::vector< std::uint8_t > | d_params
| the aromatic type vector

## Detailed Description

Definition at line 150 of file MMFF/Params.h.

## Constructor & Destructor Documentation

## MMFFAromCollection()

ForceFields::MMFF::MMFFAromCollection::MMFFAromCollection | ( | const std::vector< std::uint8_t > * | mmffArom = nullptr | ) |

## Member Function Documentation

## isMMFFAromatic()

bool ForceFields::MMFF::MMFFAromCollection::isMMFFAromatic | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFArom object, NULL on failure.

Definition at line 156 of file MMFF/Params.h.

References d_params.

## Member Data Documentation

## d_params

std::vector<std::uint8_t> ForceFields::MMFF::MMFFAromCollection::d_params

the aromatic type vector

Definition at line 162 of file MMFF/Params.h.

Referenced by isMMFFAromatic().

The documentation for this class was generated from the following file:

- MMFF/Params.h